<!DOCTYPE html>

<html>

<head lang="en">

    <meta charset="UTF-8">

    <title>Acad276 Practical Exam: Results</title>

    <style>

        .container {

            width:  600px;

            margin: auto;

        }

        h1 {

            margin: auto;

            text-align: center;

            background-color:   #900;

            color:  #FC0;

            height: 60px;

            line-height: 60px;

        }

        .num-results {

            margin: 20px 10px;

        }

        table {

            margin: auto;

            margin-bottom: 20px;

            width:  80%;

            border-collapse: collapse;

        }

        th, td {

            border: 1px solid #900;

            border-collapse: collapse;

            padding:    10px;

            text-align: center;

        }

        img {

            width: 100px;

        }

        .nav-link{

            margin: 10px 0px;

            font-size: 14px;

        }

    </style>

</head>

<?php
//user info
$host = "webdev.iyaserver.com";
$userid = "dent_guest";
$userpw = "Acad276_Dev2Ex@m";
$db = "dent_exam";

$mysql = new mysqli($host, $userid, $userpw, $db);

//check connection
if ($mysql->connect_errno) {
    echo "db connection error : " . $mysql->connect_error;
    exit();
} else {
    echo "db connection success!<br>";
}
?>

<?php
$device_name = $_GET['device_name'];
$manufacturer_id = $_GET['manufacturer_id'];
$system_id = $_GET['system_id'];
$type_id = $_GET['type_id'];
?>

<?php
echo "hello! You searched for manufacturer: " .$_REQUEST["manufacturer_id"] ." | Operating System: " .$_REQUEST["system_id"] ." | Device Type: ".$_REQUEST["type_id"] ." <br>";
?>

<?php
//sql query

$sql = "
    SELECT 
        device_id,
        devices.name AS device_name,
        devices.price,
        manufacturers.manufacturer,
        systems.system,
        types.type
    FROM devices
    JOIN manufacturers ON devices.manufacturer_id = manufacturers.manufacturer_id
    JOIN systems ON devices.system_id = systems.system_id
    JOIN types ON devices.type_id = types.type_id
    WHERE 1=1
";
if (!empty($device_name)) {
    $device_name = htmlspecialchars($device_name);
    $sql .= " AND devices.name LIKE '%" . $device_name . "%'";
}

if ($manufacturer_id != 'all') {
    $manufacturer_id = htmlspecialchars($manufacturer_id);
    $sql .= " AND manufacturers.manufacturer = '" . $manufacturer_id . "'";
}

if ($system_id != 'all') {
    $system_id = htmlspecialchars($system_id);
    $sql .= " AND systems.system = '" . $system_id . "'";
}

if ($type_id != 'all') {
    $type_id = htmlspecialchars($type_id);
    $sql .= " AND types.type = '" . $type_id . "'";
}

//echo "Here is the SQL being submitted: " . $sql . "<br>";

$result = $mysql->query($sql);

// Check if the query was successful
if (!$result) {
    echo "SQL Error: " . $mysql->error;
    exit();
} else {
    echo "SQL query executed successfully.<br>";
}

$num_results = $result->num_rows;
?>

<body>
<div class="container">

    <h1>Mobile Device Database: Search Results</h1>

    <div class="nav-link">

        <a href="search.php"><< Back to Search Page</a>

    </div>

    <div class="num-results">
        <?php
        echo "Your search returned " .$num_results ." results"?>
    </div>



    <table>

        <tr>

            <th>Name</th>

            <th>Price</th>

            <th>Manufacturer</th>

            <th>System</th>

            <th>Type</th>

        </tr>


    <?php
    while ($currentrow = $result->fetch_assoc()) {
        echo "<tr>";
        echo "<td>" ."<a href='details.php?recordid=" .$currentrow['device_id'] ."'>" .$currentrow["device_name"] ."</a>" ."</td>";
        echo "<td>" . $currentrow["price"] . "</td>";
        echo "<td>" . $currentrow["manufacturer"] . "</td>";
        echo "<td>" . $currentrow["system"] . "</td>";
        echo "<td>" . $currentrow["type"] . "</td>";
        echo "</tr>";
    }
    ?>
    </table>

</div>

</body>
</html>

